import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { ApiVisa, BaseApiTemplateService } from "../../shared";
export declare class EInvoiceEmailPrintableQueueService extends BaseApiTemplateService<any> {
    constructor(http: HttpClient);
    getAll(visa: ApiVisa): Observable<any>;
    getAllPromise(visa: ApiVisa): Promise<any>;
    getDashboard(visa: ApiVisa, criteria: any): Observable<any>;
    getDashboardPromise(visa: ApiVisa, criteria: any): Promise<any>;
    getAttachments(visa: ApiVisa, guid: string): Observable<any>;
    getAttachmentsPromise(visa: ApiVisa, guid: string): Promise<any>;
}
